## nagios3 3.5.1.dfsg

=== include/Makefile ===
###############################
# Makefile for Include Files
#
# Last Modified: 10-18-2007
###############################

clean:
	rm -f *~

distclean: clean
	rm -f config.h locations.h snprintf.h

devclean: distclean
