## nagios3 3.5.1

=== debian/changelog ===
nagios3 (3.5.1-1ubuntu1.3) trusty-security; urgency=medium

  * SECURITY REGRESSION: event log cannot open log file (LP: #1690380)
    - debian/patches/CVE-2016-9566-regression.patch: relax permissions on
      log files in base/logging.c.
    - debian/nagios3-common.postinst: fix permissions on existing log file.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Jun 2017 07:33:27 -0400

nagios3 (3.5.1-1ubuntu1.2) trusty; urgency=medium

  * debian/patches/fix_permissions_for_hostgroups_reports.patch: Fix
    permissions for hostgroups reports.  Thanks to John C. Frickson
    <jfrickson@nagios.com>.  Closes LP: #1686768.

 -- Aaron B. Russell <aaron@unadopted.co.uk>  Fri, 12 May 2017 16:02:52 +0100

nagios3 (3.5.1-1ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: off-by-one errors leading to DoS or info disclosure
    - debian/patches/CVE-2013-7xxx.patch: fix off-by-ones and check length
      in cgi/avail.c, cgi/cmd.c, cgi/config.c, cgi/extinfo.c,
      cgi/histogram.c, cgi/notifications.c, cgi/outages.c, cgi/status.c,
      cgi/statusmap.c, cgi/statuswml.c, cgi/summary.c, cgi/trends.c,
      contrib/daemonchk.c.
    - CVE-2013-7108
    - CVE-2013-7205
  * SECURITY UPDATE: DoS via long message to cmd.cgi
    - debian/patches/CVE-2014-1878.patch: check len in cgi/cmd.c.
    - CVE-2014-1878
  * SECURITY UPDATE: symlink attack on log file
    - debian/patches/CVE-2016-9566.patch: safely handle log file in
      base/logging.c.
    - CVE-2016-9566

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Mar 2017 15:28:59 -0400

nagios3 (3.5.1-1ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add autopkgtest.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Jan 2014 14:58:57 +0000

nagios3 (3.5.1-1) unstable; urgency=medium

  * [bf5522e] Enable cgi module for apache 2.4 (Closes: #725177)
  * [744e794] Stick to 3.x for now
  * [5d1f7c2] Imported Upstream version 3.5.1
              Closes: #642515
  * [43e7d66] Remove obsolete patches
  * [65bee9b] Move to quilt
  * [77d98da] Remove dpatch dependency
  * [63dacfb] Bump standards version
  * [053130c] Take care that /var/run/nagios3 is created at boot time
  * [cfca1db] Remove leading 'a' from description
  * [057dfb9] Remove dpatch from rules file
  * [de834df] Move /var/run/nagios3 creation to initscript (Closes: #689901)
  * [ee6422c] Make 3.0 quilt more vcs friendly
  * [c88bef8] don't let nagios call home. This fixes CVE-2013-4214.
    (Closes: #719056)
  * [828c43f] Bump standards version.
  * [611d0f9] Don't ship folder in /var/run (Closes: #689901)

 -- Alexander Wirt <formorer@debian.org>  Fri, 03 Jan 2014 23:18:34 +0100

nagios3 (3.4.1-5ubuntu3) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:42:17 +0100

nagios3 (3.4.1-5ubuntu2) saucy; urgency=low

  * d/nagios3-cgi.postinst: Enable cgi module for compatibility with
    apache 2.4 (LP: #1231901).

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2013 12:25:10 +0100

nagios3 (3.4.1-5ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add autopkgtest.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Jul 2013 10:36:24 +0100

nagios3 (3.4.1-5) unstable; urgency=low

  * [8b23685] Remove obsolete webapps configuration (Closes: #714707, #714258)
  * [6abb302] Cleanup password handling
  * [e4a9bf7] Fix password handling

 -- Alexander Wirt <formorer@debian.org>  Sun, 21 Jul 2013 12:02:14 +0200

nagios3 (3.4.1-4ubuntu2) saucy; urgency=low

  * Remove obsolete code from nagios3-cgi.config that tried to use obsolete
    debconf templates removed in 3.4.1-4 (closes: #714258).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 00:02:26 +0100

nagios3 (3.4.1-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1199826).  Remaining changes:
    - debian/tests: autopkgtests

 -- Yolanda Robla <yolanda.robla@canonical.com>  Mon, 15 Jul 2013 12:30:12 +0100

nagios3 (3.4.1-4) unstable; urgency=high

  * [cd50049] Add missing check command in initscript (Closes: #680615)
  * [77c9d0e] Fix typo in initscript
  * [a2c78a1] Stop status.cgi from listing unauthorized hosts and services in servicegroup view (CVE-2013-2214)
    Thanks to Jonas Meurer for the report and the patch (Closes: #714171)
  * [51fb59b] Backport upstream r1953 to fix downtime retention across restarts.
    Thanks to Didier 'OdyX' Raboud for the patch (Closes: #710356)
  * [c14f6cf] Deprecate Nagios1 compatible Nagios configuration
  * [bfc4c8d] Don't use files from docs/examples (Closes: #709957)
  * [abe9bc9] Update web specific packaging for apache 2.4

 -- Alexander Wirt <formorer@debian.org>  Thu, 27 Jun 2013 00:40:30 +0200

nagios3 (3.4.1-3ubuntu1) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Mon, 27 May 2013 11:10:34 +0200

nagios3 (3.4.1-3) unstable; urgency=low

  * Fix several overflows in getcgi.cgi and history.cgi
    This is fix for CVE 2012-6096 (Closes: #697930)

 -- Alexander Wirt <formorer@debian.org>  Sun, 27 Jan 2013 19:24:49 +0100

nagios3 (3.4.1-2) unstable; urgency=low

  * [265c38d] Don't call the updatecheck on debian
  * [4550d49] Use debians jquery instead of the shipped one
  * [9976373] Remove stupid date() warning in PHP and set
              UTC as default timezone

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Jun 2012 10:44:31 +0200

nagios3 (3.4.1-1) unstable; urgency=low

  * [28e077b] Imported Upstream version 3.3.1
  * [d5314e0] don't call updatepo in clean target
  * [45b3eb9] Don't remove config foo
  * [54e3dff] Don't fix permissions in cgi postinst
  * [d7be9db] Build-depend on libpng-dev (Closes: #662441)
  * [4c47006] Add dutch po translation (Closes: #654855)
  * [2b6573b] Refresh 10_p1_pl_shebang.dpatch
  * [316fd7a] Update 40_fix_spurious_dollar_signs_added_to_command_lines
  * [5ff2780] Refresh 55_strip_logarchivepath.dpatch

