=== debian/tests/control ===
Tests: nagios3 daemon
Depends: nagios3
Restrictions: needs-root
