## nagios3 3.5.1.dfsg

=== debian/changelog ===
nagios3 (3.5.1.dfsg-2.1ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable (LP: #1556265). Remaining changes:
    - Add autopkgtest.
    - d/conf.d/*.cfg: Changed the debian references to Ubuntu.
  * Drop: 
    - debian/control: change Build-Depends to libgd-dev.
      + Merged in Debian 3.5.1.dfsg-2.1.
  * d/control: Move to PHP7.0 dependencies.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 11 Mar 2016 12:38:44 -0800

nagios3 (3.5.1.dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * B-D on libgd-dev instead libgd2-(no)xpm-dev (Closes: #791840)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 18:55:32 +0100

nagios3 (3.5.1.dfsg-2ubuntu2) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 11:36:27 +0000

nagios3 (3.5.1.dfsg-2ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Add autopkgtest.
    - debian/control: change Build-Depends to libgd-dev.
    - d/conf.d/*.cfg: Changed the debian references to Ubuntu.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Nov 2015 08:35:36 -0500

nagios3 (3.5.1.dfsg-2) unstable; urgency=medium

  * [a72437b] Make apache.conf compatible with apache 2.4.10 (Closes: #762096)
  * [99f6a27] Check for existance of files in setperm() (Closes: #683521)

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Oct 2014 11:53:19 +0200

nagios3 (3.5.1.dfsg-1) unstable; urgency=medium

  * [111b7c7] Check if apache init script exists before invoking it.
  * [3d4069b] Imported Upstream version 3.5.1.dfsg
  * [848ee55] Remove minified jquery versions and use packaged jquery
    (Closes: #737441)

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Aug 2014 11:29:32 -0700

nagios3 (3.5.1-1ubuntu4) wily; urgency=medium

  * debian/tests/*: migrate to python3, python2 no longer ships by default.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2015 15:05:18 -0400

nagios3 (3.5.1-1ubuntu3) wily; urgency=medium

  [ Marc Deslauriers ]
  * debian/control: change Build-Depends to libgd-dev.

  [ Jorge Niedbalski ]
  * d/conf.d/*.cfg: Changed the debian references to
    Ubuntu. (LP: #1469168).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Fri, 26 Jun 2015 14:35:09 -0300

nagios3 (3.5.1-1ubuntu2) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:15:58 +0100
