=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                debhelper (>= 7),
                dpkg-dev (>= 1.13.19),
                hardening-wrapper,
-               libgd2-noxpm-dev (>= 2.0.1) | libgd2-xpm-dev (>= 2.0.1),
+               libgd-dev,
                libperl-dev,
                libpng-dev,
                po-debconf
@@ -64,7 +64,8 @@
 Depends: adduser,
          apache2-utils,
          coreutils (>= 4.5.3),
-         libapache2-mod-php5 | php5 | php5-cgi,
+         libapache2-mod-php | php | php-cgi,
+         libjs-jquery,
          nagios3-common (= ${source:Version}),
          ucf (>= 0.28),
          ${misc:Depends},
