=== debian/watch ===
version=3
http://sf.net/nagios/nagios-(3\.[0-9.]+)\.tar\.gz
